Bug 194969 - [exp-run]: New Perl hierarchy, and switch to 5.18 on the way...
Summary: [exp-run]: New Perl hierarchy, and switch to 5.18 on the way...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Mathieu Arnold
URL: https://people.freebsd.org/~mat/patch...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-12 16:14 UTC by Mathieu Arnold
Modified: 2014-11-26 13:19 UTC (History)
2 users (show)

See Also:
mat: exp-run?


Attachments
new-perl-order.r372555 (302.23 KB, application/x-xz)
2014-11-14 14:00 UTC, Mathieu Arnold
no flags Details
new-perl-order.r372892.diff (306.49 KB, application/x-xz)
2014-11-20 09:45 UTC, Mathieu Arnold
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2014-11-12 16:14:09 UTC
It's in the patch, but this applies to r372493 (pretty sure it won't apply to any other revision.)

It's the complete patch discussed in https://reviews.freebsd.org/D1019

Patch is there https://people.freebsd.org/~mat/patches/new-perl-order.diff

I have not bumped any PORTREVISION, in order to reduce the diff and conflicts while working on it.  I will do so before I commit the patch.

Maybe the reference build should be done with Perl 5.18 as the default.
Comment 1 Mathieu Arnold freebsd_committer 2014-11-14 14:00:32 UTC
Created attachment 149398 [details]
new-perl-order.r372555

Add an updated patch that can be applied on r372555 (with a few fixes)
Comment 2 Antoine Brodin freebsd_committer 2014-11-19 12:32:09 UTC
Take for exp-run
Could you generate a patch post-gnome3 commit?  (I don't think there are conflicts but we never know)
Comment 3 Mathieu Arnold freebsd_committer 2014-11-20 09:45:40 UTC
Created attachment 149637 [details]
new-perl-order.r372892.diff

New patch, against r372892.
Comment 4 Antoine Brodin freebsd_committer 2014-11-21 18:50:48 UTC
Exp-run results:

http://pb2.nyi.freebsd.org/build.html?mastername=10amd64-default-PR194969&build=2014-11-20_22h22m45s

New failures:

+ {"origin"=>"audio/gnupod", "pkgname"=>"gnupod-0.99.8_1", "phase"=>"package", "errortype"=>"PLIST"}
+ {"origin"=>"converters/p5-Sereal-Decoder", "pkgname"=>"p5-Sereal-Decoder-3.003", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"converters/p5-Sereal-Encoder", "pkgname"=>"p5-Sereal-Encoder-3.003", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"science/minc2", "pkgname"=>"minc2-2.2.00,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/zebedee", "pkgname"=>"zebedee-2.5.3", "phase"=>"build", "errortype"=>"???"}

Failure logs:

http://pb2.nyi.freebsd.org/data/10amd64-default-PR194969/2014-11-20_22h22m45s/logs/errors/gnupod-0.99.8_1.log
http://pb2.nyi.freebsd.org/data/10amd64-default-PR194969/2014-11-20_22h22m45s/logs/errors/p5-Sereal-Decoder-3.003.log
http://pb2.nyi.freebsd.org/data/10amd64-default-PR194969/2014-11-20_22h22m45s/logs/errors/p5-Sereal-Encoder-3.003.log
http://pb2.nyi.freebsd.org/data/10amd64-default-PR194969/2014-11-20_22h22m45s/logs/errors/minc2-2.2.00,1.log
http://pb2.nyi.freebsd.org/data/10amd64-default-PR194969/2014-11-20_22h22m45s/logs/errors/zebedee-2.5.3.log

I will try with bulk -t to see
Comment 6 Antoine Brodin freebsd_committer 2014-11-22 09:44:39 UTC
p5-MooseX-App-Cmd orphans are probably to not conflict with p5-MouseX-App-Cmd, but it should be documented (@comment in plist or rm in post-install)